
// General HTML elements
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

body {
  font-variant-ligatures: none;
  background-color: $gray-100;
  min-height: 100vh;

}
a {
  transition: color 0.2s linear;
}
.h6, h6 {
  font-weight: $font-weight-bold;
  color: $gray-900;
}
.h1, h1, .h2, h2 {
  letter-spacing: 0.25px;
}
hr {
  border-top: 1px $border-color solid;
}
strong {
  color: $gray-900;
}
.text-subtle {
  font-weight: $font-weight-base;
  color: $text-muted;
}

// Custom utilities
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

.no-focus {
  outline: none !important;
}

// Logo
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

.logo-login {
  max-width: 200px;
  margin-left:auto;
  margin-right: auto;
  height: auto;
}

// Buttons
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

.btn-lg {
  font-size: 1rem;
}
.btn.btn-outline-secondary {
  color: $body-color;
  border: $btn-border-width solid $gray-300;
  border-width: 2px;
  &:hover {
    background-color: $gray-100;
  }
}
.btn-outline-secondary:not(:disabled):not(.disabled):active,
.btn-outline-secondary:not(:disabled):not(.disabled).active,
.show > .btn-outline-secondary.dropdown-toggle {
  background-color: $gray-200;
}
.btn.btn-icon {
  padding: $input-btn-padding-y;
}
.btn-icon > i {
    display: block;
}
.btn-sm.btn-icon {
  padding: $input-btn-padding-y-sm;
}
.btn-lg.btn-icon {
  padding: $input-btn-padding-y-lg;
}

// Dropdowns
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

.dropdown-item {
  font-size: $font-size-sm;
  font-weight: 400;
  border-radius: $border-radius-sm;
}
.dropdown-menu {
  padding: .5rem;
}
.dropdown-action .dropdown-item {
  padding-right: 1.375rem;
}
.dropdown-toggle.no-toggle:after {
  display: none;
}

// Icons
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
.icon {
  width: 1.5rem;
  height: 1.5rem;
}
.icon-block {
  display: block !important;
}
.icon.icon-sm {
  padding: 3px;
}
.icon.icon-secondary {
  opacity: .2;
}
.icon-circle {
  border: 2px $border-color solid;
  padding: .5rem;
  border-radius: $border-radius-round;
}

// Forms
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

.form-control {
  font-size: $font-size-sm;
}
.form-control::placeholder {
  color: $gray-900 !important;
  opacity: .8;
  transition: $transition-base;
}
.form-control:focus::placeholder {
  opacity: .5;
}

.col-form-label {
  font-weight: $font-weight-bold;
  color: $headings-color;
}

// Input prepend and append tailoring

.input-group-append-focus,
.input-group-append {
  .input-group-text {
    transition: $input-transition;
    padding-left: 0;
    padding-right: .375rem;
    border-left: 0;
    z-index: 4;
  }
}
.input-group-prepend-focus,
.input-group-prepend {
  .input-group-text {
    transition: $input-transition;
    padding-right: 0;
    padding-left: .375rem;
    border-right: 0;
    z-index: 4;
  }
}
.input-group-append-focus,
.input-group-prepend-focus {
  .input-group-text {
    border-color: $input-focus-border-color;
  }
}
// Special styling for ranges (add dashes)

.input-group.input-range {
  @include media-breakpoint-down(sm) {
    margin-left: 2rem !important;
  }
  &::before {
    content:'';
    width:1rem;
    height:3px;
    position:absolute;
    left:-1rem;
    top: calc(50% - 1px);
    background-color: $input-border-color;
    @include media-breakpoint-down(sm) {
      left:1rem;
      top: -.5rem;
      height:.5rem;
      width:2px;
    }
  }
}
